package com.tjk.entity;

import java.sql.Timestamp;

/**
 * UserVerify entity. @author MyEclipse Persistence Tools
 */

public class UserVerify implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -4905221596317547117L;
	
	// Fields
	private Integer id;
	private Integer uid;
	private String name;
	private Integer companyId;
	private String companyName;
	private String cardUri;
	private String mobile;
	private Timestamp postTime;
	private Integer status;

	// Constructors

	/** default constructor */
	public UserVerify() {
	}

	/** full constructor */
	public UserVerify(Integer uid, String name, Integer companyId,
			String companyName, String cardUri, String mobile,
			Timestamp postTime, Integer status) {
		this.uid = uid;
		this.name = name;
		this.companyId = companyId;
		this.companyName = companyName;
		this.cardUri = cardUri;
		this.mobile = mobile;
		this.postTime = postTime;
		this.status = status;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getUid() {
		return this.uid;
	}

	public void setUid(Integer uid) {
		this.uid = uid;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getCompanyId() {
		return this.companyId;
	}

	public void setCompanyId(Integer companyId) {
		this.companyId = companyId;
	}

	public String getCompanyName() {
		return this.companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	public String getCardUri() {
		return this.cardUri;
	}

	public void setCardUri(String cardUri) {
		this.cardUri = cardUri;
	}

	public String getMobile() {
		return this.mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public Timestamp getPostTime() {
		return this.postTime;
	}

	public void setPostTime(Timestamp postTime) {
		this.postTime = postTime;
	}

	public Integer getStatus() {
		return this.status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

}